%define name gnochive
%define version 0.7.0
%define release 4mdk

Name:		%{name}
Summary:	Gnochive is a GNOME frontend to the RAR archiver
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Compression
URL:		http://gnochive.sourceforge.net/
PreReq:		scrollkeeper >= 0.3
Source:		%{name}-%{version}.tar.bz2
Source1:	%name-48.png
Source2:	%name-32.png
Source3:	%name-16.png
# (fc) 0.6.2-3mdk use DTD compliant OMF file
Patch0:     gnochive-0.6.2-omffix.patch.bz2
# (fc) 0.7.0-1mdk fix gnome-vfs cflags
Patch1:		gnochive-0.7.0-gnomevfs.patch.bz2
Patch2:		gnochive-0.7.0-missing-header.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnome-vfs0-devel
BuildRequires:  libGConf1-devel  
BuildRequires:  libgnome32-devel  
BuildRequires:  scrollkeeper  
BuildRequires:  docbook-utils
BuildRequires:  libxml-devel

%description
Gnochive is an archive program for handling RAR, gzip, tar, zip, archives, 
and also provides a GUI interface.


%prep

%setup -q
%patch0 -p1 -b .omffix
%patch1 -p1 -b .gnomevfs
%patch2

#needed by patch1
automake

%build

%configure

%make

%install
rm -fr %buildroot

%makeinstall_std

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):command="%{name}" \
needs="x11" \
section="Applications/Archiving/Compression" \
title="Gnochive" \
longtitle="GUI frontend for several archive formats" \
icon="%name.png"
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE1 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.png

%find_lang %name --with-gnome

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%update_menus
   
%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_datadir/pixmaps/*
%_datadir/applets/Utility/gnochive_app.desktop
%_datadir/gnome/apps/Applications/gnochive.desktop
%_datadir/omf/gnochive
%{_libdir}/menu/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-4mdk
- fix buildrequires

* Wed Feb  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-3mdk
- add missing files
- patch missing errno.h in to make it compile
- rebuild for new ssl

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- better buildrequires
- fix typo in longtitle 
- use the right icon in the menu
- remove obsolete gnome1 applet menu entry
- fix menu longtitle

* Mon Sep 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-1mdk
- Release 0.7.0
- Patch1: fix gnome-vfs cflags

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-3mdk
- Fix icon
- Fix post/postun script
- Patch0: use DTD compliant OMF file

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.2-2mdk
- Use default compression icon for menu

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- updated to 0.6.2

* Tue Apr 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk
- updated to 0.5.6

* Thu Mar 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- updated to 0.5.5

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- new url

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- updated to 0.5.2

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk 
- project name have changed (was gnomerar previously)
- updated to 0.5.1

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-2mdk
- macros
- BM

* Tue Jun 20 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.3.8-1mdk
- initial specfile
- bzip sources
